Object.defineProperty(exports, "__esModule", { value: true });
exports.nativeCrash = exports.setDist = exports.setRelease = exports.init = void 0;
var tslib_1 = require("tslib");
var browser_1 = require("@sentry/browser");
var core_1 = require("@sentry/core");
var minimal_1 = require("@sentry/minimal");
var client_1 = require("./client");
var integrations_1 = require("./integrations");
var scope_1 = require("./scope");
var wrapper_1 = require("./wrapper");
var DEFAULT_INTEGRATIONS = tslib_1.__spread(browser_1.defaultIntegrations, [new integrations_1.Cordova(), new integrations_1.Release()]);
var DEFAULT_OPTIONS = {
    enableNative: true,
    defaultIntegrations: DEFAULT_INTEGRATIONS,
    enableAutoSessionTracking: true,
    enableNdkScopeSync: false,
    attachThreads: false,
};
/**
 * Inits the SDK
 */
function init(_options) {
    var options = tslib_1.__assign(tslib_1.__assign({}, DEFAULT_OPTIONS), _options);
    // Initialize a new hub using our scope with native sync
    var cordovaHub = new core_1.Hub(undefined, new scope_1.CordovaScope());
    core_1.makeMain(cordovaHub);
    core_1.initAndBind(client_1.CordovaClient, options);
}
exports.init = init;
/**
 * Sets the release on the event.
 */
function setRelease(release) {
    minimal_1.configureScope(function (scope) {
        scope.setExtra('__sentry_release', release);
    });
}
exports.setRelease = setRelease;
/**
 * Sets the dist on the event.
 */
function setDist(dist) {
    minimal_1.configureScope(function (scope) {
        scope.setExtra('__sentry_dist', dist);
    });
}
exports.setDist = setDist;
/**
 * If native client is available it will trigger a native crash.
 * Use this only for testing purposes.
 */
function nativeCrash() {
    if (wrapper_1.NATIVE.isNativeClientAvailable()) {
        wrapper_1.NATIVE.crash();
    }
}
exports.nativeCrash = nativeCrash;
//# sourceMappingURL=sdk.js.map